Skip to main content
POST
Activate coupon

Authorizations

Authorization
string
header
required

Opaque Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Path Parameters

customerId
string
required

The id of the customer.

couponId
string
required

Response

OK

Coupon details

offerId
string
required

ID of Promotion Campaign

Required string length: 1 - 255
couponId
string
required

ID of Coupon

Required string length: 1 - 50
offerType
string
required

Customer specific Offer type. Determines how or by which service Offer will be used. Types used so far: baseBonus, game, appCoupon, gift, preferredStore, memberOffer, stampCard, stickersOffer.

Required string length: 1 - 255
storeIds
string[]
required

List of Store Ids where Offer is available. Mutually exclusive with ChainIds. Never null, but can be empty. Will be empty if not explicitly requested.

chainIds
string[]
required

List of Chain Ids where Promotion Offer is available. Mutually exclusive with StoreIds. Never null, but can be empty. Will be empty if not explicitly requested.

posCouponId
string | null

Id of Coupon on POS. Can be the same as CouponId or different, depending on Coupon system used downstream. Null before coupon is activated, not null after the successful activation.

Maximum string length: 100
offerContent
object
validFrom
string<date-time>

Date when this coupon becomes visible and usable in store after activation

validTo
string<date-time>

Date when this coupon expires and cannot be picked up in the store

activationTime
string<date-time> | null

Date when this coupon has been activated

isRedeemed
boolean

Has this coupon been redeemed (collected in the store). Is true only coupon is redeemed to the limit

prices
object
discount
object
redemptionLimit
integer<int32>

Specifies how many times coupon can be redeemed in store. Each redemption is a separate purchase. 0, or positive integer, with 0 meaning unlimited redemptions

redeemedCount
integer<int32>

Specifies how many times coupon was already redeemed in store. 0 when coupon was not redeemed, postive integer with count of usages otherwise.

displayPriority
integer<int32>

Controlls the order in which coupons are returned to the mobile app. Lower number means higher priority

deletedAt
string<date-time> | null

Date when this coupon has been deleted

assignedBy
string | null

Name of the person or system that assigned the coupon

Last modified on August 10, 2026